package com.sooka.system.funeral.the_dead.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 市殡葬-逝者基本信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiTheDead extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 业务条码 */
    @Excel(name = "业务条码" )
    private String BNO;

    /** 逝者姓名 */
    @Excel(name = "逝者姓名" )
    private String DNAME;

    /** 身份证号 */
    @Excel(name = "身份证号" )
    private String DSFZH;

    /** 性别 */
    @Excel(name = "性别" )
    private String DSEX;

    /** 民族 */
    @Excel(name = "民族" )
    private String DMZ;

    /** 年龄 */
    @Excel(name = "年龄" )
    private String DAGE;

    /** 出生日期 */
    @Excel(name = "出生日期" )
    private String BIRTH;

    /** 户籍来源 */
    @Excel(name = "户籍来源" )
    private String DHJLY;

    /** 发证机关 */
    @Excel(name = "发证机关" )
    private String DXZQH;

    /** 籍贯或家庭住址 */
    @Excel(name = "籍贯或家庭住址" )
    private String ADDRESS;

    /** 死亡时间 */
    @Excel(name = "死亡时间" )
    private String DTIME;

    /** 死亡原因 */
    @Excel(name = "死亡原因" )
    private String DREASON;

    /** 死亡地点 */
    @Excel(name = "死亡地点" )
    private String DADDRESS;

    /** 火化时间 */
    @Excel(name = "火化时间" )
    private String HHSJ;

    /** 与死者关系 */
    @Excel(name = "与死者关系" )
    private String RELATIONSHIP;

    /** 联系人 */
    @Excel(name = "联系人" )
    private String LINKMAN;

    /** 联系人电话 */
    @Excel(name = "联系人电话" )
    private String LINKMANPHONE;

    /** 联系人地址 */
    @Excel(name = "联系人地址" )
    private String LINKMANADDRESS;

    /** 登记时间 */
    @Excel(name = "登记时间" )
    private String OPERTM;

    /** 登记人 */
    @Excel(name = "登记人" )
    private String OPERID;

    /** 登记单位 */
    @Excel(name = "登记单位" )
    private String OPERDW;

    public String getBno()
    {
        return BNO;
    }

    public String getDname()
    {
        return DNAME;
    }

    public String getDsfzh()
    {
        return DSFZH;
    }

    public String getDsex()
    {
        return DSEX;
    }

    public String getDmz()
    {
        return DMZ;
    }

    public String getDage()
    {
        return DAGE;
    }

    public String getBirth()
    {
        return BIRTH;
    }

    public String getDhjly()
    {
        return DHJLY;
    }

    public String getDxzqh()
    {
        return DXZQH;
    }

    public String getAddress()
    {
        return ADDRESS;
    }

    public String getDtime()
    {
        return DTIME;
    }

    public String getDreason()
    {
        return DREASON;
    }

    public String getDaddress()
    {
        return DADDRESS;
    }

    public String getHhsj()
    {
        return HHSJ;
    }

    public String getRelationship()
    {
        return RELATIONSHIP;
    }

    public String getLinkman()
    {
        return LINKMAN;
    }

    public String getLinkmanphone()
    {
        return LINKMANPHONE;
    }

    public String getLinkmanaddress()
    {
        return LINKMANADDRESS;
    }

    public String getOpertm()
    {
        return OPERTM;
    }

    public String getOperid()
    {
        return OPERID;
    }

    public String getOperdw()
    {
        return OPERDW;
    }
}
